package com.srs.comprehensive.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.common.core.domain.AjaxResult;
import com.srs.comprehensive.domain.KnzzTufaApply;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * 学生突发困难资助申请Service接口
 *
 * @author zhy
 * @date 2025-04-09
 */
public interface IKnzzTufaApplyService extends IService<KnzzTufaApply> {

    public AjaxResult doReApply(KnzzTufaApply param);

    public AjaxResult doMany(List<KnzzTufaApply> param) ;

    public AjaxResult doAudit(KnzzTufaApply param) ;

    public AjaxResult doCancel(Long id);

    public AjaxResult doEdit(KnzzTufaApply param);

    public List<KnzzTufaApply> listView(KnzzTufaApply param);

    public AjaxResult doApply(KnzzTufaApply param);

    public AjaxResult getOwnFamily();

    public AjaxResult getOwnKnrd();


    /**
     * 查询学生突发困难资助申请
     *
     * @param id 学生突发困难资助申请主键
     * @return 学生突发困难资助申请
     */
    public KnzzTufaApply selectKnzzTufaApplyById(Long id);

    /**
     * 查询学生突发困难资助申请列表
     *
     * @param knzzTufaApply 学生突发困难资助申请
     * @return 学生突发困难资助申请集合
     */
    List<KnzzTufaApply> selectKnzzTufaApplyList(KnzzTufaApply knzzTufaApply);

    /**
     * 新增学生突发困难资助申请
     *
     * @param knzzTufaApply 学生突发困难资助申请
     * @return 结果
     */
    int insertKnzzTufaApply(KnzzTufaApply knzzTufaApply);

    /**
     * 修改学生突发困难资助申请
     *
     * @param knzzTufaApply 学生突发困难资助申请
     * @return 结果
     */
    int updateKnzzTufaApply(KnzzTufaApply knzzTufaApply);

    /**
     * 批量删除学生突发困难资助申请
     *
     * @param ids 需要删除的学生突发困难资助申请主键集合
     * @return 结果
     */
    int deleteKnzzTufaApplyByIds(Long[] ids);

    /**
     * 删除学生突发困难资助申请信息
     *
     * @param id 学生突发困难资助申请主键
     * @return 结果
     */
    int deleteKnzzTufaApplyById(Long id);
}
